%define installprefix %{_datadir}
%define g3confdir %{_sysconfdir}/gallery3

Summary: Customizable photo gallery web site
URL: http://gallery.menalto.com
Name: gallery3
Version: 3.0.4
Group: Applications/Publishing
Release: 1%{?dist}
License: GPLv2+
Source0: http://downloads.sourceforge.net/gallery/gallery-%{version}.zip
Source1: gallery3-httpd-conf
Source2: gallery3-htaccess
Source3: README.fedora.Gallery3
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: php httpd php-Kohana 
#jquery
BuildArch: noarch


%description
Gallery is an open source project with the goal to develop and support 
leading photo sharing web application solutions. 

%prep
%setup -q -n gallery3

chmod -x installer/init_var.php

%build


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{installprefix}/gallery3
install -m 0644 -D -p %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/gallery3.conf
install -m 0644 -p %{SOURCE2} ${RPM_BUILD_ROOT}%{installprefix}/gallery3/.htaccess
cp -pr * ${RPM_BUILD_ROOT}%{installprefix}/gallery3
install -m 0644 -p %{SOURCE3} README.fedora
mkdir -p ${RPM_BUILD_ROOT}%{g3confdir}

#Remove bundled Kohana
rm -rf ${RPM_BUILD_ROOT}%{installprefix}/gallery3/system/core/Kohana*
rm -rf ${RPM_BUILD_ROOT}%{installprefix}/gallery3/system/libraries/Kohana*

#Link to system Kohana
ln -s %{_datadir}/php/Kohana/system/core/Kohana_Exception.php ${RPM_BUILD_ROOT}%{installprefix}/gallery3/system/core/Kohana_Exception.php
ln -s %{_datadir}/php/Kohana/system/core/Kohana_Config.php ${RPM_BUILD_ROOT}%{installprefix}/gallery3/system/core/Kohana_Config.php
ln -s %{_datadir}/php/Kohana/system/core/Kohana.php ${RPM_BUILD_ROOT}%{installprefix}/gallery3/system/core/Kohana.php
ln -s %{_datadir}/php/Kohana/system/libraries/Kohana_User_Exception.php ${RPM_BUILD_ROOT}%{installprefix}/gallery3/system/libraries/Kohana_User_Exception.php
ln -s %{_datadir}/php/Kohana/system/libraries/Kohana_404_Exception.php ${RPM_BUILD_ROOT}%{installprefix}/gallery3/system/libraries/Kohana_404_Exception.php
ln -s %{_datadir}/php/Kohana/system/libraries/Kohana_PHP_Exception.php ${RPM_BUILD_ROOT}%{installprefix}/gallery3/system/libraries/Kohana_PHP_Exception.php
ln -s %{_datadir}/php/Kohana/system/libraries/Kohana_Log.php ${RPM_BUILD_ROOT}%{installprefix}/gallery3/system/libraries/Kohana_Log.php

#Convert to admin-configurable htaccess
mv %{buildroot}%{installprefix}/gallery3/.htaccess %{buildroot}%{_sysconfdir}/httpd/conf.d/gallery3-site.htaccess
ln -s ../../../%{_sysconfdir}/httpd/conf.d/gallery3-site.htaccess %{buildroot}%{installprefix}/gallery3/.htaccess


#Remove bundled jquery
#Link to system jquery

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc LICENSE README README.fedora
%{installprefix}/gallery3
%{g3confdir}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/

%changelog
* Tue Jun 19 2012 Jon Ciesla <limburgher@gmail.com> - 3.0.4-1
- 3.0.4, BZ 833189, 833190.

* Thu Apr 12 2012 Jon Ciesla <limburgher@gmail.com> - 3.0.3-1
- 3.0.3, CVE-2012-1113,
- BZ 812048, 812049.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Jon Ciesla <limb@jcomserv.net> - 3.0.2-2
- Set php_value short_open_tag on.

* Sun Sep 25 2011 Jon Ciesla <limb@jcomserv.net> - 3.0.2-1
- New upstream.
- Moved to admin-configurable htaccess.

* Mon Jan 24 2011 Jon Ciesla <limb@jcomserv.net> - 3.0.1-1
- New upstream.

* Wed Oct 06 2010 Jon Ciesla <limb@jcomserv.net> - 3.0-1
- Initial package.
